{: test that a compilation error occurs when assign() is called with
   incorrect arguments }

program e1016( output );


var
   f  : text;
   f1 : integer;


begin { e1016 }

   assign( f );  {!!! missing file name}
   writeln( 'assign error not detected' );
end. { e1016 }

